Ask Your Question

Revision history [back]

click to hide/show revision 1
initial version

Mirantis FUEL 8.0 - unable to build ISO

Hi all,

I am getting this error while building Fuel ISO .

My Environment : Ubuntu 14.04 LT2 64 bit, FUEL Stable V8.0

Steps I have followed to create FUEL ISO:

   git clone https://github.com/openstack/fuel-main -b stable/8.0
   cd fuel-main
   ./prepare-build-env.sh
   make iso

Error I am getting

Processing files: rubygem-astute-8.0.0-1.noarch
Provides: config(rubygem-astute) = 8.0.0-1 ruby(Astute) = 8.0.0 rubygem-  astute = 8.0.0-1
Requires(interp): /bin/sh /bin/sh /bin/sh
Requires(rpmlib): rpmlib(CompressedFileNames) <= 3.0.4-1
rpmlib(FileDigests) <= 4.6.0-1 rpmlib(PayloadFilesHavePrefix) <= 4.0-1
Requires(post): /bin/sh systemd-units
Requires(preun): /bin/sh systemd-units
Requires(postun): /bin/sh systemd-units
Requires: /bin/bash /usr/bin/env
Processing files: nailgun-mcagents-8.0.0-1.noarch
error: File must begin with "/": %changelog\n*
......
......
RPM build errors:
  File must begin with "/": %changelog\n*
  File must begin with "/": Mon
  File must begin with "/": Feb
  File must begin with "/": 29
  File must begin with "/": 2016
  .......
  .......

Could some one point me how to fix this? or anyone successful in building ISO of FUEL 8.0 stable version on Ubuntu 14.04 LT2 64 bit machine?

Thanks in advance.